div#challan #car {
    animation: car_moveright 20s ease-in-out infinite;
    position: relative;
    left: 0px;
}

div#challan #car_body {
    animation: car_body 20s ease-in-out infinite alternate;
}

div#challan #wheel_1, #wheel_2 {
    animation: car_wheel 20s infinite linear;
    transform-box: fill-box;
    transform-origin: center;
}

div#challan #auto {
    animation: auto_moveright 20s ease-in-out infinite;
    position: relative;
    left: 0;
}

div#challan #auto_body {
    animation: auto_body 20s ease-in-out infinite alternate;
}

div#challan #Layer {
    animation: auto_body 20s ease-in-out infinite alternate;
}

div#challan #auto_wheel_1, #auto_wheel_2 {
    animation: auto_wheel 20s infinite linear;
    transform-box: fill-box;
    transform-origin: center;
}

div#challan #car_2 {
    animation: car2_moveright 20s ease-in-out infinite;
    position: relative;
    left: 0;
}

div#challan #car2_car_body {
    animation: car2_car_body 20s ease-in-out infinite alternate;
}

div#challan #car2_wheel_1, #car2_wheel_2 {
    animation: car2_wheel 20s infinite linear;
    transform-box: fill-box;
    transform-origin: center;
}

div#challan #truck {
    animation: truck_moveright 20s ease-in-out infinite;
    position: relative;
    left: 0;
}

div#challan #truck_body {
    animation: truck_body 2s ease-in-out infinite alternate;
}

div#challan #truck_wheel_1, #truck_wheel_2, #truck_wheel_3 {
    animation: wheel 2s infinite linear;
    transform-box: fill-box;
    transform-origin: center;
}

div#challan #green_light {
    animation: green_light 20s ease-in-out infinite;
}

div#challan #ylw_light {
    animation: ylw_light 20s ease-in-out infinite;
}

div#challan #red_light {
    animation: red_light 20s ease-in-out infinite;
}

@keyframes car_moveright {
    0% { transform: translateX(-500px); }
    60% { transform: translateX(3400px); }
    70% { transform: translateX(3400px); }
    100% { transform: translateX(7000px); }
}

@keyframes car_body {
    0% { transform: translateY(0px); }
    5% { transform: translateY(5px); }
    10% { transform: translateY(-5px); }
    15% { transform: translateY(5px); }
    20% { transform: translateY(-5px); }
    25% { transform: translateY(5px); }
    30% { transform: translateY(-5px); }
    35% { transform: translateY(5px); }
    40% { transform: translateY(-5px); }
    45% { transform: translateY(5px); }
    50% { transform: translateY(-5px); }
    55% { transform: translateY(5px); }
    60% { transform: translateY(0px); }
    
    61%, 70% { transform: translateY(0px); }
    
    71% { transform: translateY(0px); }
    75% { transform: translateY(5px); }
    80% { transform: translateY(-5px); }
    85% { transform: translateY(5px); }
    90% { transform: translateY(-5px); }
    95% { transform: translateY(5px); }
    100% { transform: translateY(-5px); }
}

@keyframes car_wheel {
    0% { transform: rotateZ(0deg); }
    60% { transform: rotateZ(1800deg); }
    61%, 70% { transform: rotateZ(1800deg); }
    71% { transform: rotateZ(1800deg); }
    100% { transform: rotateZ(3600deg); }
}

@keyframes car2_moveright {
     0% { transform: translateX(-1200px); }
    60% { transform: translateX(3400px); }
    72% { transform: translateX(3400px); }
    100% { transform: translateX(7000px); }
}

@keyframes car2_car_body {
    0% { transform: translateY(0px); }
    5% { transform: translateY(5px); }
    10% { transform: translateY(-5px); }
    15% { transform: translateY(5px); }
    20% { transform: translateY(-5px); }
    25% { transform: translateY(5px); }
    30% { transform: translateY(-5px); }
    35% { transform: translateY(5px); }
    40% { transform: translateY(-5px); }
    45% { transform: translateY(5px); }
    50% { transform: translateY(-5px); }
    55% { transform: translateY(5px); }
    60% { transform: translateY(0px); }
    
    61%, 70% { transform: translateY(0px); }
    
    71% { transform: translateY(0px); }
    75% { transform: translateY(5px); }
    80% { transform: translateY(-5px); }
    85% { transform: translateY(5px); }
    90% { transform: translateY(-5px); }
    95% { transform: translateY(5px); }
    100% { transform: translateY(-5px); }
}

@keyframes car2_wheel {
    0% { transform: rotateZ(0deg); }
    60% { transform: rotateZ(1800deg); }
    61%, 70% { transform: rotateZ(1800deg); }
    71% { transform: rotateZ(1800deg); }
    100% { transform: rotateZ(3600deg); }
}

@keyframes auto_moveright {
    0%{
        transform: translateX(-700px);
    }
    60% {
        transform: translateX(3200px);
    }
    70% {
        transform: translateX(3200px);
    }
    100% {
        transform: translateX(6000px);
    }
}

@keyframes auto_body {
    0% { transform: translateY(0px); }
    5% { transform: translateY(5px); }
    10% { transform: translateY(-5px); }
    15% { transform: translateY(5px); }
    20% { transform: translateY(-5px); }
    25% { transform: translateY(5px); }
    30% { transform: translateY(-5px); }
    35% { transform: translateY(5px); }
    40% { transform: translateY(-5px); }
    45% { transform: translateY(5px); }
    50% { transform: translateY(-5px); }
    55% { transform: translateY(5px); }
    60% { transform: translateY(0px); }
    
    61%, 70% { transform: translateY(0px); }
    
    71% { transform: translateY(0px); }
    75% { transform: translateY(5px); }
    80% { transform: translateY(-5px); }
    85% { transform: translateY(5px); }
    90% { transform: translateY(-5px); }
    95% { transform: translateY(5px); }
    100% { transform: translateY(-5px); }
}

@keyframes auto_wheel {
    0% { transform: rotateZ(0deg); }
    60% { transform: rotateZ(1800deg); }
    61%, 70% { transform: rotateZ(1800deg); }
    71% { transform: rotateZ(1800deg); }
    100% { transform: rotateZ(3600deg); }
}

@keyframes truck_moveright {
    0%{
        transform: translateX(-1000px);
    }
    70% {
        transform: translateX(6000px);
    }
    100% {
        transform: translateX(8000px);
    }
}

@keyframes truck_body {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(4px);
    }
    100% {
        transform: translateY(-4px);
    }
}


@keyframes wheel {
    0% {
        transform: rotateZ(0deg);
    }
    100% {
        transform: rotateZ(360deg);
    }
}

@keyframes green_light {
    0%, 25% {
        opacity: 1;
    }
    26%, 65% {
        opacity: 0;
    }
    66%, 100% {
        opacity: 1;
    }
}
@keyframes ylw_light {
    0%, 25% {
        opacity: 0;
    }
    26%, 32% {
        opacity: 1;
    }
    34%, 100% {
        opacity: 0;
    }
}
@keyframes red_light {
    0%, 32% {
        opacity: 0;
    }
    34%, 65% {
        opacity: 1;
    }
    66%, 100% {
        opacity: 0;
    }
}